# NOTE:
# - if you want to use it with ltm kernel, use LINUX_2_6_27 branch
#
# Conditional build:
%bcond_without	dist_kernel	# allow non-distribution kernel
%bcond_without	kernel		# don't build kernel modules
%bcond_with	verbose		# verbose build (V=1)

%if %{without kernel}
%undefine	with_dist_kernel
%endif

%define		rel	15
%define		pname	r8168
Summary:	Linux driver for RTL8111/8168B PCI Express Gigabit Ethernet controllers
Summary(pl.UTF-8):	Linuksowy sterownik dla kart sieciowych RTL8111/8168B PCI Express Gigabit Ethernet
Name:		%{pname}%{_alt_kernel}
Version:	8.029.00
Release:	%{rel}
License:	GPL
Group:		Base/Kernel
URL:		http://www.realtek.com.tw/
# Check for new versions at
# http://www.realtek.com.tw/downloads/downloadsView.aspx?Langid=1&PNid=13&PFid=5&Level=5&Conn=4&DownTypeID=3&GetDown=false
# unfortunately this download is not DF-friendly.
Source0:	%{pname}-%{version}.tar.bz2
# Source0-md5:	5dc15a976950250b7b543876cc3350a8
Patch0:		r8168-kernel-3.3.patch
%if %{with kernel}
%if %{with dist_kernel}
BuildRequires:	kernel%{_alt_kernel}-module-build >= 3:2.6.33
%endif
BuildRequires:	rpmbuild(macros) >= 1.379
%endif
BuildRoot:	%{tmpdir}/%{pname}-%{version}-root-%(id -u -n)

%description
Driver (Linux kernel module) for RTL8111/8168B PCI Express Gigabit
Ethernet controllers.

%description -l pl.UTF-8
Sterownik (moduł jądra Linuksa) dla kart sieciowych RTL8111/8168B PCI
Express Gigabit Ethernet.

%package -n kernel%{_alt_kernel}-net-r8168
Summary:	Linux kernel module for RTL8111/8168B PCI Express Gigabit Ethernet controllers
Summary(pl.UTF-8):	Moduł jądra Linuksa dla kart sieciowych RTL8111/8168B PCI Express Gigabit Ethernet
Release:	%{rel}@%{_kernel_ver_str}
Group:		Base/Kernel
Requires(post,postun):	/sbin/depmod
%if %{with dist_kernel}
%requires_releq_kernel
Requires(postun):	%releq_kernel
%endif

%description -n kernel%{_alt_kernel}-net-r8168
Driver (Linux kernel module) for RTL8111/8168B PCI Express Gigabit
Ethernet controllers.

%description -n kernel%{_alt_kernel}-net-r8168 -l pl.UTF-8
Sterownik (moduł jądra Linuksa) dla kart sieciowych RTL8111/8168B PCI
Express Gigabit Ethernet.

%prep
%setup -q -n %{pname}-%{version}
%patch0 -p1

%build
%if %{with kernel}
%build_kernel_modules -m r8168 -C src KERNELRELEASE=%{_kernel_ver}
%endif

%install
rm -rf $RPM_BUILD_ROOT
%if %{with kernel}
%install_kernel_modules -m src/r8168 -d kernel/drivers/net
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post	-n kernel%{_alt_kernel}-net-r8168
%depmod %{_kernel_ver}

%postun	-n kernel%{_alt_kernel}-net-r8168
%depmod %{_kernel_ver}

%if %{with kernel}
%files -n kernel%{_alt_kernel}-net-r8168
%defattr(644,root,root,755)
%doc README
/lib/modules/%{_kernel_ver}/kernel/drivers/net/*.ko*
%endif
%changelog
* Mon Aug 27 2012 Jan Rękorajski <baggins@pld-linux.org> 0358112
- Rebuild for kernel 3.4.10
- release 15 (by relup.sh)

* Fri Aug 10 2012 Jan Rękorajski <baggins@pld-linux.org> 61fb77d
- rebuild for kernel.spec:auto/th/kernel-3.4.8-1 /home/users/baggins/devel/PLD/rpm/packages
- release 14 (by relup.sh)

* Sun Jul 22 2012 Paweł Sikora <pawel.sikora@agmk.net> 0cc9705
bump release for rebuild with kernel-3.4.6-1

* Sat Jun 23 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> c783918
- rebuild for kernel-3.4.4-1
- release 12 (by relup.sh)

* Fri Jun 22 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> d2040bf
- rebuild for kernel-3.4.3-1
- release 11 (by relup.sh)

* Fri Jun 22 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> c04e1a3
- rebuild for kernel-3.4.3-1
- release 10 (by relup.sh)

* Tue Jun 05 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> a6ff25e
- release 9
 (by relup.sh)

* Wed May 23 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> d0fb92d
- release 8

* Sun May 13 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> fd494ee
- release 7

* Tue May 08 2012 Jan Rękorajski <baggins@pld-linux.org> d27251c
- release 6

* Fri Apr 27 2012 Jan Rękorajski <baggins@pld-linux.org> 5701660
- release 5

* Sat Apr 14 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 69a5dc1
- release 4

* Sat Apr 07 2012 Jan Rękorajski <baggins@pld-linux.org> c2aabb6
- rel 3
- fix prep

* Sat Apr 07 2012 Jan Rękorajski <baggins@pld-linux.org> a49d820
- rel 2
- make our builders/ftp happy

* Fri Apr 06 2012 Jan Rękorajski <baggins@pld-linux.org> cd29bb2
- ifdef methods removed in linux 3.3

* Fri Apr 06 2012 Jan Rękorajski <baggins@pld-linux.org> df02a3e
- rel 1

* Fri Apr 06 2012 Jan Rękorajski <baggins@pld-linux.org> 778ec8f
- md5 fix

* Fri Apr 06 2012 Jan Rękorajski <baggins@pld-linux.org> 028445f
- 8.029.00

* Fri Apr 06 2012 Jan Rękorajski <baggins@pld-linux.org> 96cec93
- release 64

* Wed Apr 04 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 3436921
- release 63

